Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355481 - Add support for VNC to app-emulation/virtualbox
Summary: Add support for VNC to app-emulation/virtualbox
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-18 19:57 UTC by Branko Majic
Modified: 2011-02-19 08:38 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Add the --enable-vnc option to VirtualBox OSE configure script. (virtualbox-vnc.patch,2.50 KB, patch)
2011-02-18 19:58 UTC, Branko Majic
Details | Diff
Add the USE flag for enabling the VNC in VirtualBox OSE. (virtualbox-vnc-ebuild.patch,1.19 KB, patch)
2011-02-18 19:58 UTC, Branko Majic
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Branko Majic 2011-02-18 19:57:35 UTC
VirtualBox supports VNC for guest machines through the libvncserver. Although the old ebuild for 3.2.x series had this added at some point (take a look at bug #348204), the newer version of ebuild based on 4.x.y series has dropped this support.

I've had a look at the current ebuild and configure script for the VirtualBox 4.0.2, and figured out there are small differences that render the old patch for the configure script unusable. I've created a new patch for it, as well as for ebuild to allow enabling of VNC.

Please find the patches attached to this bug report.

Reproducible: Always

Steps to Reproduce:
Comment 1 Branko Majic 2011-02-18 19:58:30 UTC
Created attachment 262951 [details, diff]
Add the --enable-vnc option to VirtualBox OSE configure script.
Comment 2 Branko Majic 2011-02-18 19:58:55 UTC
Created attachment 262953 [details, diff]
Add the USE flag for enabling the VNC in VirtualBox OSE.
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2011-02-19 08:38:59 UTC
+  18 Feb 2011; Lars Wendler <polynomial-c@gentoo.org>
+  -virtualbox-4.0.0-r1.ebuild,
+  -files/virtualbox-4.0.0-restore_old_machines_dir.patch,
+  +virtualbox-4.0.4.ebuild, +files/virtualbox-4-vnc.patch:
+  Version bump. Removed old. Readded vnc USE flag as requested by Branko Majic
+  in bug #355481.

Fixed in virtualbox-4.0.4. Thanks for the patch.